In Ubuntu cannot choose Evince to display PDF files

RESOLVED WORKSFORME

Status

()

RESOLVED WORKSFORME
7 years ago
5 years ago

People

(Reporter: ilan.tal, Unassigned)

Tracking

6 Branch
x86
Linux
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

7 years ago
User Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0
Build ID: 20110812234425

Steps to reproduce:

In Ubuntu 11.04 I wanted to open a pdf file. In Edit-> Preferences-> Applications I set PDF documents to "Use Document Viewer (default)". When I tried to open the document, it suggested gedit, which is obviously wrong. I drilled down to /usr/bin/evince. This did the job BUT, it would NOT allow me to set it to choose Evince for future pdf documents. I think the reason for this is evince is not an executable file, but is a shared library. Apparently firefox will allow me to use a shared library if I really insist, but it won't accept it as a decision for future actions.


Actual results:

The file read properly under evince, but gedit was still there next time around.


Expected results:

The checkbox allowing me to choose evince for future Opens should not have been grayed out. Since it works for normal executable files, the cause seems to be that evince is a shared library.

Comment 1

7 years ago
Works OK for me. Does the problem happen with all PDFs, or just that one?
(Reporter)

Comment 2

7 years ago
Very strange! It seems to be dependent upon the site. I get my bills from the service provider and he gives them in pdf format. Clearly I tried opening from the site and there I consistently get the gedit for a pdf file.
I tried downloading the file, sending it to myself in gmail and under gmail it works with no problem. It never even occurred to me that something could be wrong with the site. I will have to check it under Windows, although it is almost impossible to believe that they wouldn't have seen the problem in Windows.

Sorry that I didn't check it under gmail, but the possibility of the site never crossed my mind.
Ilan

Comment 3

7 years ago
Could this have something to do with the MIME type? application/octet-stream vs application/pdf or something like that.

Ilan, can you please supply a link to a problematic PDF file?
(Reporter)

Comment 4

7 years ago
You had me for a couple of minutes. Being in Israel the site is in Hebrew, which presumably means it is Greek to you.... So how could I show you? I copied and pasted into Open Office, but I don't know how to attach it.

I finally managed to get the link
https://www.hot.net.il/Pages/SelfService/ShowPDF.aspx?id=93510202&s=3&p=08/16/2011

Hopefully you will be able to use it without user name and password nonsense. I don't want to post my user name and password for all the world to see, but I would send it to someone specifically working on the problem. Still Hebrew is going to be a problem for you.

Let's hope the link works and if not we'll see what else can be done.
Ilan

Comment 5

7 years ago
The link https://www.hot.net.il/Pages/SelfService/ShowPDF.aspx?id=93510202&s=3&p=08/16/2011 redirects me to the login page. :(

If it's a problem with the MIME type then one needs to access the PDF file at the server to confirm that.

It's possible to look at the headers with the Live HTTP Headers add-on:
https://addons.mozilla.org/en-US/firefox/addon/live-http-headers/

1. After installing and restarting select Tools/Live HTTP Headers.
2. Use Firefox and navigate to the page where the PDF is located.
3. Left-click "Clear" in the Live HTTP headers dialog to get rid of old junk.
4. Left-click on the PDF link i Firefox and some headers should appear in the Live HTTP headers dialog.
5. Select "Save All..." and save them to a text file.
6. The text file should now contain a section that shows the retrieval of the PDF. Paste or attach that contents into this bug.

If nothing happens in step 4 it may be necessarily to clear the cache before that step. Otherwise the file is retrieved from file and no headers are generated from the server.

The interesting thing to look at is actually the "Content-Type:" thing, whether it is "Content-Type: application/pdf" or something else.
(Reporter)

Comment 6

7 years ago
I decided that after my blunder of not checking pdf files in gmail, that I had better check the Hot site under Windows with Firefox. I have XP running in a Virtual Box so I tried that. Sure enough, it brought up Adobe Reader and showed the file.

Next I added the live headers and tried it. Before sending I decided to look at it. My first tab is always gmail and I open other tabs for additional work. I could see the headers looked like they were connected to gmail, so I closed all tabs except the hot and tried again. When I refreshed the page I could see only 2 references to pdf - not very promising. Then I pressed the pdf icon and captured that as well. This is probably what you need.

If and when you need to check it, I can either send you my user name and password, or if you send me a compiled object, I can check it here.

I'll send you first the interesting page, followed by the initial page. If it isn't enough, we can think about the next step.

https://www.hot.net.il/Pages/SelfService/ShowPDF.aspx?id=93510202&s=3&p=08/16/2011



GET /Pages/SelfService/ShowPDF.aspx?id=93510202&s=3&p=08/16/2011 HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.4.10.1314338346; __utmc=262333715



HTTP/1.1 200 OK

Cache-Control: private

Content-Type: application/octet-stream

Server: Microsoft-IIS/7.5

Content-Disposition: attachment; filename=Invoice.pdf

X-AspNet-Version: 4.0.30319

Date: Fri, 26 Aug 2011 06:12:00 GMT

Content-Length: 203917

----------------------------------------------------------


Here is the initial page:

https://www.hot.net.il//heb/SelfService/



GET //heb/SelfService/ HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

Cache-Control: max-age=0



HTTP/1.1 200 OK

Cache-Control: private, no-store

Pragma: no-store,no-cache

Content-Type: text/html; charset=utf-8

Content-Encoding: gzip

Expires: Fri, 26 Aug 2011 06:09:01 GMT

Vary: Accept-Encoding

Server: Microsoft-IIS/7.5

X-AspNet-Version: 4.0.30319

Date: Fri, 26 Aug 2011 06:09:01 GMT

Content-Length: 15277

----------------------------------------------------------

https://www.hot.net.il/VirtualStatic/1037_2026586273.css



GET /VirtualStatic/1037_2026586273.css HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/css,*/*;q=0.1

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Tue, 09 Aug 2011 20:03:58 GMT

If-None-Match: "0cb4979cf56cc1:0"

Cache-Control: max-age=0



HTTP/1.1 200 OK

Cache-Control: no-cache

Content-Type: text/css

Content-Encoding: gzip

Last-Modified: Tue, 09 Aug 2011 20:03:58 GMT

Accept-Ranges: bytes

Etag: "41506979cf56cc1:0"

Vary: Accept-Encoding

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:01 GMT

Content-Length: 6580

----------------------------------------------------------

https://www.hot.net.il/VirtualStatic/1037_877198057.js



GET /VirtualStatic/1037_877198057.js HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: */*

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Tue, 09 Aug 2011 19:56:51 GMT

If-None-Match: "80c3c67ace56cc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Date: Fri, 26 Aug 2011 06:09:01 GMT

Etag: "80c3c67ace56cc1:0"

Cache-Control: no-cache

----------------------------------------------------------

https://www.hot.net.il/VirtualStatic/1037_819278786.js



GET /VirtualStatic/1037_819278786.js HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: */*

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Tue, 09 Aug 2011 19:56:51 GMT

If-None-Match: "80c3c67ace56cc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Date: Fri, 26 Aug 2011 06:09:01 GMT

Etag: "80c3c67ace56cc1:0"

Cache-Control: no-cache

----------------------------------------------------------

https://www.hot.net.il/VirtualStatic/1037_284569600.js



GET /VirtualStatic/1037_284569600.js HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: */*

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Tue, 09 Aug 2011 19:56:51 GMT

If-None-Match: "80c3c67ace56cc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Date: Fri, 26 Aug 2011 06:09:01 GMT

Etag: "80c3c67ace56cc1:0"

Cache-Control: no-cache

----------------------------------------------------------

https://www.hot.net.il/VirtualStatic/1037_458683504.js



GET /VirtualStatic/1037_458683504.js HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: */*

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Tue, 09 Aug 2011 19:56:51 GMT

If-None-Match: "80c3c67ace56cc1:0"

Cache-Control: max-age=0



HTTP/1.1 200 OK

Cache-Control: no-cache

Content-Type: application/x-javascript

Content-Encoding: gzip

Last-Modified: Tue, 09 Aug 2011 19:56:51 GMT

Accept-Ranges: bytes

Etag: "377cfd7ace56cc1:0"

Vary: Accept-Encoding

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:01 GMT

Content-Length: 14188

----------------------------------------------------------

https://www.hot.net.il/VirtualStatic/1037_1899270100.css



GET /VirtualStatic/1037_1899270100.css HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/css,*/*;q=0.1

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Tue, 09 Aug 2011 20:03:58 GMT

If-None-Match: "0cb4979cf56cc1:0"

Cache-Control: max-age=0



HTTP/1.1 200 OK

Cache-Control: no-cache

Content-Type: text/css

Content-Encoding: gzip

Last-Modified: Tue, 09 Aug 2011 20:03:58 GMT

Accept-Ranges: bytes

Etag: "834a779cf56cc1:0"

Vary: Accept-Encoding

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:01 GMT

Content-Length: 23458

----------------------------------------------------------

https://www.hot.net.il/images/hotLogoNew.png



GET /images/hotLogoNew.png HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Sun, 07 Aug 2011 08:48:10 GMT

If-None-Match: "50a97abcde54cc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Cache-Control: max-age=14400

Last-Modified: Sun, 07 Aug 2011 08:48:10 GMT

Accept-Ranges: bytes

Etag: "50a97abcde54cc1:0"

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:03 GMT

----------------------------------------------------------

https://www.hot.net.il/images/envelopePic.png



GET /images/envelopePic.png HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Sun, 07 Aug 2011 08:48:05 GMT

If-None-Match: "b0bd86b9de54cc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Cache-Control: max-age=14400

Last-Modified: Sun, 07 Aug 2011 08:48:05 GMT

Accept-Ranges: bytes

Etag: "b0bd86b9de54cc1:0"

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:03 GMT

----------------------------------------------------------

https://www.hot.net.il/UploadedImages//07_2011/ipad.jpg



GET /UploadedImages//07_2011/ipad.jpg HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Sun, 31 Jul 2011 11:53:28 GMT

If-None-Match: "06cec75784fcc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Cache-Control: no-cache

Last-Modified: Sun, 31 Jul 2011 11:53:28 GMT

Accept-Ranges: bytes

Etag: "06cec75784fcc1:0"

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:03 GMT

----------------------------------------------------------

https://www.hot.net.il/images/pdf_icon.gif



GET /images/pdf_icon.gif HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Sun, 07 Aug 2011 08:48:16 GMT

If-None-Match: "50dd6c0de54cc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Cache-Control: max-age=14400

Last-Modified: Sun, 07 Aug 2011 08:48:16 GMT

Accept-Ranges: bytes

Etag: "50dd6c0de54cc1:0"

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:03 GMT

----------------------------------------------------------

https://www.hot.net.il/images/excel_icon.gif



GET /images/excel_icon.gif HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Sun, 07 Aug 2011 08:48:06 GMT

If-None-Match: "f089fcb9de54cc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Cache-Control: max-age=14400

Last-Modified: Sun, 07 Aug 2011 08:48:06 GMT

Accept-Ranges: bytes

Etag: "f089fcb9de54cc1:0"

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:03 GMT

----------------------------------------------------------

https://www.hot.net.il/images/ie_icon.gif



GET /images/ie_icon.gif HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Sun, 07 Aug 2011 08:48:12 GMT

If-None-Match: "e09435bdde54cc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Cache-Control: max-age=14400

Last-Modified: Sun, 07 Aug 2011 08:48:12 GMT

Accept-Ranges: bytes

Etag: "e09435bdde54cc1:0"

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:03 GMT

----------------------------------------------------------

https://www.hot.net.il/images/PhoneIcon.png



GET /images/PhoneIcon.png HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Sun, 07 Aug 2011 08:48:18 GMT

If-None-Match: "905c1c0de54cc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Cache-Control: max-age=14400

Last-Modified: Sun, 07 Aug 2011 08:48:18 GMT

Accept-Ranges: bytes

Etag: "905c1c0de54cc1:0"

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:03 GMT

----------------------------------------------------------

https://www.hot.net.il/images/TVicon.png



GET /images/TVicon.png HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Sun, 07 Aug 2011 08:48:25 GMT

If-None-Match: "e08ff1c4de54cc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Cache-Control: max-age=14400

Last-Modified: Sun, 07 Aug 2011 08:48:25 GMT

Accept-Ranges: bytes

Etag: "e08ff1c4de54cc1:0"

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:03 GMT

----------------------------------------------------------

https://www.hot.net.il/images/ewave.png



GET /images/ewave.png HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Sun, 07 Aug 2011 08:48:06 GMT

If-None-Match: "10b1c4b9de54cc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Cache-Control: max-age=14400

Last-Modified: Sun, 07 Aug 2011 08:48:06 GMT

Accept-Ranges: bytes

Etag: "10b1c4b9de54cc1:0"

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:03 GMT

----------------------------------------------------------

https://www.hot.net.il/images/pix.png



GET /images/pix.png HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Sun, 07 Aug 2011 08:48:18 GMT

If-None-Match: "c020d0c0de54cc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Cache-Control: max-age=14400

Last-Modified: Sun, 07 Aug 2011 08:48:18 GMT

Accept-Ranges: bytes

Etag: "c020d0c0de54cc1:0"

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:03 GMT

----------------------------------------------------------

https://www.hot.net.il/themes/Default/images/buttonRight.png



GET /themes/Default/images/buttonRight.png HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il/VirtualStatic/1037_1899270100.css

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Sun, 07 Aug 2011 08:51:23 GMT

If-None-Match: "40be2f2fdf54cc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Date: Fri, 26 Aug 2011 06:09:03 GMT

Etag: "40be2f2fdf54cc1:0"

Cache-Control: no-cache

----------------------------------------------------------

https://www.hot.net.il/themes/Default/images/buttonLeftCenter.png



GET /themes/Default/images/buttonLeftCenter.png HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il/VirtualStatic/1037_1899270100.css

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Sun, 07 Aug 2011 08:51:23 GMT

If-None-Match: "309e192fdf54cc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Date: Fri, 26 Aug 2011 06:09:03 GMT

Etag: "309e192fdf54cc1:0"

Cache-Control: no-cache

----------------------------------------------------------

https://www.hot.net.il/images/myBillBackgroundClean_rtl.png



GET /images/myBillBackgroundClean_rtl.png HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il/VirtualStatic/1037_1899270100.css

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Sun, 07 Aug 2011 08:48:16 GMT

If-None-Match: "20cc2bfde54cc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Cache-Control: max-age=14400

Last-Modified: Sun, 07 Aug 2011 08:48:16 GMT

Accept-Ranges: bytes

Etag: "20cc2bfde54cc1:0"

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:03 GMT

----------------------------------------------------------

https://www.hot.net.il/images/linksBackground.png



GET /images/linksBackground.png HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il/VirtualStatic/1037_1899270100.css

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.2.10.1314338346; __utmc=262333715

If-Modified-Since: Sun, 07 Aug 2011 08:48:14 GMT

If-None-Match: "108a6ebede54cc1:0"

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Cache-Control: max-age=14400

Last-Modified: Sun, 07 Aug 2011 08:48:14 GMT

Accept-Ranges: bytes

Etag: "108a6ebede54cc1:0"

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:04 GMT

----------------------------------------------------------

https://ssl.google-analytics.com/ga.js



GET /ga.js HTTP/1.1

Host: ssl.google-analytics.com

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: */*

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

If-Modified-Since: Tue, 16 Aug 2011 05:00:45 GMT

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Date: Fri, 26 Aug 2011 05:19:55 GMT

Expires: Fri, 26 Aug 2011 07:19:55 GMT

Age: 2839

Server: GFE/2.0

----------------------------------------------------------

https://ssl.google-analytics.com/__utm.gif?utmwv=5.1.5&utms=3&utmn=672701667&utmhn=www.hot.net.il&utme=8(unique_users)9(1307611530435)11(1)&utmcs=UTF-8&utmsr=1680x1050&utmsc=24-bit&utmul=en-us&utmje=1&utmfl=10.3%20r183&utmdt=HOT%20-%D7%94%D7%90%D7%96%D7%95%D7%A8%20%D7%94%D7%90%D7%99%D7%A9%D7%99&utmhid=117509047&utmr=-&utmp=%2F%2Fheb%2FSelfService%2F&utmac=UA-24591456-1&utmcc=__utma%3D262333715.1658927532.1294051349.1314293567.1314338346.26%3B%2B__utmz%3D262333715.1314338346.26.17.utmgclid%3DCJSY0fTsnaYCFQzxzAodswxLaw%7Cutmccn%3D(not%2520set)%7Cutmcmd%3D(not%2520set)%7Cutmctr%3Dhot%2520israel%3B&utmu=qB~



GET /__utm.gif?utmwv=5.1.5&utms=3&utmn=672701667&utmhn=www.hot.net.il&utme=8(unique_users)9(1307611530435)11(1)&utmcs=UTF-8&utmsr=1680x1050&utmsc=24-bit&utmul=en-us&utmje=1&utmfl=10.3%20r183&utmdt=HOT%20-%D7%94%D7%90%D7%96%D7%95%D7%A8%20%D7%94%D7%90%D7%99%D7%A9%D7%99&utmhid=117509047&utmr=-&utmp=%2F%2Fheb%2FSelfService%2F&utmac=UA-24591456-1&utmcc=__utma%3D262333715.1658927532.1294051349.1314293567.1314338346.26%3B%2B__utmz%3D262333715.1314338346.26.17.utmgclid%3DCJSY0fTsnaYCFQzxzAodswxLaw%7Cutmccn%3D(not%2520set)%7Cutmcmd%3D(not%2520set)%7Cutmctr%3Dhot%2520israel%3B&utmu=qB~ HTTP/1.1

Host: ssl.google-analytics.com

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/



HTTP/1.1 200 OK

Date: Wed, 24 Aug 2011 18:52:43 GMT

Content-Length: 35

Pragma: no-cache

Expires: Wed, 19 Apr 2000 11:43:00 GMT

Last-Modified: Wed, 21 Jan 2004 19:51:30 GMT

Content-Type: image/gif

Cache-Control: private, no-cache, no-cache=Set-Cookie, proxy-revalidate

Server: GFE/2.0

----------------------------------------------------------

https://ssl.google-analytics.com/__utm.gif?utmwv=5.1.5&utms=4&utmn=1961323635&utmhn=www.hot.net.il&utme=8(unique_users)9(1307611530435)11(1)&utmcs=UTF-8&utmsr=1680x1050&utmsc=24-bit&utmul=en-us&utmje=1&utmfl=10.3%20r183&utmdt=HOT%20-%D7%94%D7%90%D7%96%D7%95%D7%A8%20%D7%94%D7%90%D7%99%D7%A9%D7%99&utmhid=117509047&utmr=-&utmp=%2F%2Fheb%2FSelfService%2F&utmac=UA-667055-1&utmcc=__utma%3D262333715.1658927532.1294051349.1314293567.1314338346.26%3B%2B__utmz%3D262333715.1314338346.26.17.utmgclid%3DCJSY0fTsnaYCFQzxzAodswxLaw%7Cutmccn%3D(not%2520set)%7Cutmcmd%3D(not%2520set)%7Cutmctr%3Dhot%2520israel%3B&utmu=qB~



GET /__utm.gif?utmwv=5.1.5&utms=4&utmn=1961323635&utmhn=www.hot.net.il&utme=8(unique_users)9(1307611530435)11(1)&utmcs=UTF-8&utmsr=1680x1050&utmsc=24-bit&utmul=en-us&utmje=1&utmfl=10.3%20r183&utmdt=HOT%20-%D7%94%D7%90%D7%96%D7%95%D7%A8%20%D7%94%D7%90%D7%99%D7%A9%D7%99&utmhid=117509047&utmr=-&utmp=%2F%2Fheb%2FSelfService%2F&utmac=UA-667055-1&utmcc=__utma%3D262333715.1658927532.1294051349.1314293567.1314338346.26%3B%2B__utmz%3D262333715.1314338346.26.17.utmgclid%3DCJSY0fTsnaYCFQzxzAodswxLaw%7Cutmccn%3D(not%2520set)%7Cutmcmd%3D(not%2520set)%7Cutmctr%3Dhot%2520israel%3B&utmu=qB~ HTTP/1.1

Host: ssl.google-analytics.com

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/



HTTP/1.1 200 OK

Date: Wed, 24 Aug 2011 18:52:43 GMT

Content-Length: 35

Pragma: no-cache

Expires: Wed, 19 Apr 2000 11:43:00 GMT

Last-Modified: Wed, 21 Jan 2004 19:51:30 GMT

Content-Type: image/gif

Cache-Control: private, no-cache, no-cache=Set-Cookie, proxy-revalidate

Server: GFE/2.0

----------------------------------------------------------

https://my.nanorep.com/widget/float.js?account=hot&innerFrameUrl=http://www.hot.net.il//CDCFrame.html



GET /widget/float.js?account=hot&innerFrameUrl=http://www.hot.net.il//CDCFrame.html HTTP/1.1

Host: my.nanorep.com

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: */*

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: 8CC87C3C87F0A5B=u_8CD91E0B00E45BD#t_EC5828907#alv_False#v_7#cv_2; 8CC87C3C830FFAF=u_8CDB9A571387089#t_EC598E7CF#alv_False#v_9#cv_2; 8CC6BDC89CDB247=u_8CDB9A57138708A#t_EC598E7CF#alv_False#v_9#cv_2; 8CC87C3C865F064=u_8CDB9A57138708B#t_EC598E7CF#alv_False#v_9#cv_2; 8CC2024CAA089A4=u_8CDCBE3ED28184C#t_EC573EE0C#alv_False#v_3#cv_2; 8CC6BDC89CA6B6D=u_8CDCBE3ED28184D#t_EC573EE0C#alv_False#v_3#cv_2; 8CC87C3C8324BF1=u_8CDCBE3ED295FD8#t_EC5741F19#alv_False#v_1#cv_2; 8CC6BDC89CDB453=u_8CDCBE3ED295FD9#t_EC5741F19#alv_False#v_1#cv_2; 8CC87C3C86B818D=u_8CDF16F93F2CB49#t_EC5E92D14#alv_False#v_10#cv_2; 8CC87C3C8888E78=u_8CDF16F93F2CB4A#t_EC5E92D14#alv_False#v_10#cv_2

If-None-Match: 8CE2003A8D5E740634030922505255806_

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Server: nanoRepServer

Date: Fri, 26 Aug 2011 06:06:59 GMT

Content-Length: 0

Etag: 8CE2003A8D5E740634030922505255806_

Pragma: no-cache

Expires: Sun, 03 Jul 2011 14:35:11 GMT

Connection: Keep-Alive

Keep-Alive: max=9999, timeout=60

----------------------------------------------------------

https://my.nanorep.com/widget/skins/bubble/images/teaser.png



GET /widget/skins/bubble/images/teaser.png HTTP/1.1

Host: my.nanorep.com

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: 8CC87C3C87F0A5B=u_8CD91E0B00E45BD#t_EC5828907#alv_False#v_7#cv_2; 8CC87C3C830FFAF=u_8CDB9A571387089#t_EC598E7CF#alv_False#v_9#cv_2; 8CC6BDC89CDB247=u_8CDB9A57138708A#t_EC598E7CF#alv_False#v_9#cv_2; 8CC87C3C865F064=u_8CDB9A57138708B#t_EC598E7CF#alv_False#v_9#cv_2; 8CC2024CAA089A4=u_8CDCBE3ED28184C#t_EC573EE0C#alv_False#v_3#cv_2; 8CC6BDC89CA6B6D=u_8CDCBE3ED28184D#t_EC573EE0C#alv_False#v_3#cv_2; 8CC87C3C8324BF1=u_8CDCBE3ED295FD8#t_EC5741F19#alv_False#v_1#cv_2; 8CC6BDC89CDB453=u_8CDCBE3ED295FD9#t_EC5741F19#alv_False#v_1#cv_2; 8CC87C3C86B818D=u_8CDF16F93F2CB49#t_EC5E92D14#alv_False#v_10#cv_2; 8CC87C3C8888E78=u_8CDF16F93F2CB4A#t_EC5E92D14#alv_False#v_10#cv_2

If-None-Match: 8CE2003A9293760

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Server: nanoRepServer

Date: Fri, 26 Aug 2011 06:06:59 GMT

Content-Length: 0

Etag: 8CE2003A9293760

Pragma: no-cache

Expires: Sun, 03 Jul 2011 14:35:11 GMT

Connection: Keep-Alive

Keep-Alive: max=9999, timeout=60

----------------------------------------------------------

https://my.nanorep.com/widget/widget.html?account=hot&cdcFrame=https://www.hot.net.il//CDCFrame.html&isFloat=true&referer=https%3A//www.hot.net.il//heb/SelfService/&notifyclick=true



GET /widget/widget.html?account=hot&cdcFrame=https://www.hot.net.il//CDCFrame.html&isFloat=true&referer=https%3A//www.hot.net.il//heb/SelfService/&notifyclick=true HTTP/1.1

Host: my.nanorep.com

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: 8CC87C3C87F0A5B=u_8CD91E0B00E45BD#t_EC5828907#alv_False#v_7#cv_2; 8CC87C3C830FFAF=u_8CDB9A571387089#t_EC598E7CF#alv_False#v_9#cv_2; 8CC6BDC89CDB247=u_8CDB9A57138708A#t_EC598E7CF#alv_False#v_9#cv_2; 8CC87C3C865F064=u_8CDB9A57138708B#t_EC598E7CF#alv_False#v_9#cv_2; 8CC2024CAA089A4=u_8CDCBE3ED28184C#t_EC573EE0C#alv_False#v_3#cv_2; 8CC6BDC89CA6B6D=u_8CDCBE3ED28184D#t_EC573EE0C#alv_False#v_3#cv_2; 8CC87C3C8324BF1=u_8CDCBE3ED295FD8#t_EC5741F19#alv_False#v_1#cv_2; 8CC6BDC89CDB453=u_8CDCBE3ED295FD9#t_EC5741F19#alv_False#v_1#cv_2; 8CC87C3C86B818D=u_8CDF16F93F2CB49#t_EC5E92D14#alv_False#v_10#cv_2; 8CC87C3C8888E78=u_8CDF16F93F2CB4A#t_EC5E92D14#alv_False#v_10#cv_2

If-None-Match: 8CE2003A9D248A0634030922505255806_float_



HTTP/1.1 304 Not Modified

Server: nanoRepServer

Date: Fri, 26 Aug 2011 06:06:59 GMT

Content-Length: 0

Etag: 8CE2003A9D248A0634030922505255806_float_

Pragma: no-cache

Expires: Sun, 03 Jul 2011 14:35:11 GMT

Connection: Keep-Alive

Keep-Alive: max=9999, timeout=60

Set-Cookie: 8CC87C3C86B818D=u_8CDF16F93F2CB49#t_EC5E92D14#alv_False#v_10#cv_2; domain=my.nanorep.com; path=/; expires=Sun, 26 Aug 2012 06:07:06 GMT

Set-Cookie: 8CC87C3C8888E78=u_8CDF16F93F2CB4A#t_EC5E92D14#alv_False#v_10#cv_2; domain=my.nanorep.com; path=/; expires=Sun, 26 Aug 2012 06:07:06 GMT

----------------------------------------------------------

https://my.nanorep.com/widget/skins/bubble/images/balloon_collapse.png



GET /widget/skins/bubble/images/balloon_collapse.png HTTP/1.1

Host: my.nanorep.com

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: 8CC87C3C87F0A5B=u_8CD91E0B00E45BD#t_EC5828907#alv_False#v_7#cv_2; 8CC87C3C830FFAF=u_8CDB9A571387089#t_EC598E7CF#alv_False#v_9#cv_2; 8CC6BDC89CDB247=u_8CDB9A57138708A#t_EC598E7CF#alv_False#v_9#cv_2; 8CC87C3C865F064=u_8CDB9A57138708B#t_EC598E7CF#alv_False#v_9#cv_2; 8CC2024CAA089A4=u_8CDCBE3ED28184C#t_EC573EE0C#alv_False#v_3#cv_2; 8CC6BDC89CA6B6D=u_8CDCBE3ED28184D#t_EC573EE0C#alv_False#v_3#cv_2; 8CC87C3C8324BF1=u_8CDCBE3ED295FD8#t_EC5741F19#alv_False#v_1#cv_2; 8CC6BDC89CDB453=u_8CDCBE3ED295FD9#t_EC5741F19#alv_False#v_1#cv_2; 8CC87C3C86B818D=u_8CDF16F93F2CB49#t_EC5E92D14#alv_False#v_10#cv_2; 8CC87C3C8888E78=u_8CDF16F93F2CB4A#t_EC5E92D14#alv_False#v_10#cv_2

If-None-Match: 8CE2003A871F550

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Server: nanoRepServer

Date: Fri, 26 Aug 2011 06:06:59 GMT

Content-Length: 0

Etag: 8CE2003A871F550

Pragma: no-cache

Expires: Sun, 03 Jul 2011 14:35:11 GMT

Connection: Keep-Alive

Keep-Alive: max=9999, timeout=60

----------------------------------------------------------

https://my.nanorep.com/widget/skins/bubble/images/balloon_open.png



GET /widget/skins/bubble/images/balloon_open.png HTTP/1.1

Host: my.nanorep.com

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: 8CC87C3C87F0A5B=u_8CD91E0B00E45BD#t_EC5828907#alv_False#v_7#cv_2; 8CC87C3C830FFAF=u_8CDB9A571387089#t_EC598E7CF#alv_False#v_9#cv_2; 8CC6BDC89CDB247=u_8CDB9A57138708A#t_EC598E7CF#alv_False#v_9#cv_2; 8CC87C3C865F064=u_8CDB9A57138708B#t_EC598E7CF#alv_False#v_9#cv_2; 8CC2024CAA089A4=u_8CDCBE3ED28184C#t_EC573EE0C#alv_False#v_3#cv_2; 8CC6BDC89CA6B6D=u_8CDCBE3ED28184D#t_EC573EE0C#alv_False#v_3#cv_2; 8CC87C3C8324BF1=u_8CDCBE3ED295FD8#t_EC5741F19#alv_False#v_1#cv_2; 8CC6BDC89CDB453=u_8CDCBE3ED295FD9#t_EC5741F19#alv_False#v_1#cv_2; 8CC87C3C86B818D=u_8CDF16F93F2CB49#t_EC5E92D14#alv_False#v_10#cv_2; 8CC87C3C8888E78=u_8CDF16F93F2CB4A#t_EC5E92D14#alv_False#v_10#cv_2

If-None-Match: 8CE2003A91169A0

Cache-Control: max-age=0



HTTP/1.1 304 Not Modified

Server: nanoRepServer

Date: Fri, 26 Aug 2011 06:06:59 GMT

Content-Length: 0

Etag: 8CE2003A91169A0

Pragma: no-cache

Expires: Sun, 03 Jul 2011 14:35:11 GMT

Connection: Keep-Alive

Keep-Alive: max=9999, timeout=60

----------------------------------------------------------

https://my.nanorep.com/widget/scripts/cnf.js?account=hot&referer=https%3A//www.hot.net.il//heb/SelfService/&isFloat=true



GET /widget/scripts/cnf.js?account=hot&referer=https%3A//www.hot.net.il//heb/SelfService/&isFloat=true HTTP/1.1

Host: my.nanorep.com

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://my.nanorep.com/widget/widget.html?account=hot&cdcFrame=https://www.hot.net.il//CDCFrame.html&isFloat=true&referer=https%3A//www.hot.net.il//heb/SelfService/&notifyclick=true

Cookie: 8CC87C3C87F0A5B=u_8CD91E0B00E45BD#t_EC5828907#alv_False#v_7#cv_2; 8CC87C3C830FFAF=u_8CDB9A571387089#t_EC598E7CF#alv_False#v_9#cv_2; 8CC6BDC89CDB247=u_8CDB9A57138708A#t_EC598E7CF#alv_False#v_9#cv_2; 8CC87C3C865F064=u_8CDB9A57138708B#t_EC598E7CF#alv_False#v_9#cv_2; 8CC2024CAA089A4=u_8CDCBE3ED28184C#t_EC573EE0C#alv_False#v_3#cv_2; 8CC6BDC89CA6B6D=u_8CDCBE3ED28184D#t_EC573EE0C#alv_False#v_3#cv_2; 8CC87C3C8324BF1=u_8CDCBE3ED295FD8#t_EC5741F19#alv_False#v_1#cv_2; 8CC6BDC89CDB453=u_8CDCBE3ED295FD9#t_EC5741F19#alv_False#v_1#cv_2; 8CC87C3C86B818D=u_8CDF16F93F2CB49#t_EC5E92D14#alv_False#v_10#cv_2; 8CC87C3C8888E78=u_8CDF16F93F2CB4A#t_EC5E92D14#alv_False#v_10#cv_2

If-None-Match: 8CE2003B27F3350634030922505086461_float



HTTP/1.1 304 Not Modified

Server: nanoRepServer

Date: Fri, 26 Aug 2011 06:06:59 GMT

Content-Length: 0

Etag: 8CE2003B27F3350634030922505086461_float

Pragma: no-cache

Expires: Sun, 03 Jul 2011 14:35:11 GMT

Connection: Keep-Alive

Keep-Alive: max=9999, timeout=60

----------------------------------------------------------

https://my.nanorep.com/widget/skins/custom.css?account=hot&referer=https%3A//www.hot.net.il//heb/SelfService/&isFloat=true



GET /widget/skins/custom.css?account=hot&referer=https%3A//www.hot.net.il//heb/SelfService/&isFloat=true HTTP/1.1

Host: my.nanorep.com

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/css,*/*;q=0.1

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://my.nanorep.com/widget/widget.html?account=hot&cdcFrame=https://www.hot.net.il//CDCFrame.html&isFloat=true&referer=https%3A//www.hot.net.il//heb/SelfService/&notifyclick=true

Cookie: 8CC87C3C87F0A5B=u_8CD91E0B00E45BD#t_EC5828907#alv_False#v_7#cv_2; 8CC87C3C830FFAF=u_8CDB9A571387089#t_EC598E7CF#alv_False#v_9#cv_2; 8CC6BDC89CDB247=u_8CDB9A57138708A#t_EC598E7CF#alv_False#v_9#cv_2; 8CC87C3C865F064=u_8CDB9A57138708B#t_EC598E7CF#alv_False#v_9#cv_2; 8CC2024CAA089A4=u_8CDCBE3ED28184C#t_EC573EE0C#alv_False#v_3#cv_2; 8CC6BDC89CA6B6D=u_8CDCBE3ED28184D#t_EC573EE0C#alv_False#v_3#cv_2; 8CC87C3C8324BF1=u_8CDCBE3ED295FD8#t_EC5741F19#alv_False#v_1#cv_2; 8CC6BDC89CDB453=u_8CDCBE3ED295FD9#t_EC5741F19#alv_False#v_1#cv_2; 8CC87C3C86B818D=u_8CDF16F93F2CB49#t_EC5E92D14#alv_False#v_10#cv_2; 8CC87C3C8888E78=u_8CDF16F93F2CB4A#t_EC5E92D14#alv_False#v_10#cv_2

If-None-Match: 8CE2003B27CC250634030922505086461_float



HTTP/1.1 304 Not Modified

Server: nanoRepServer

Date: Fri, 26 Aug 2011 06:06:59 GMT

Content-Length: 0

Etag: 8CE2003B27CC250634030922505086461_float

Pragma: no-cache

Expires: Sun, 03 Jul 2011 14:35:11 GMT

Connection: Keep-Alive

Keep-Alive: max=9999, timeout=60

----------------------------------------------------------

https://www.hot.net.il/favicon.ico



GET /favicon.ico HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.4.10.1314338346; __utmc=262333715

If-Modified-Since: Sun, 07 Aug 2011 08:47:24 GMT

If-None-Match: "e0e4aca0de54cc1:0"



HTTP/1.1 304 Not Modified

Cache-Control: no-cache

Last-Modified: Sun, 07 Aug 2011 08:47:24 GMT

Accept-Ranges: bytes

Etag: "e0e4aca0de54cc1:0"

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:09 GMT

----------------------------------------------------------

https://www.hot.net.il//CDCFrame.html?subject=load&dockrtl=false&open=false&autominimize=0&teasertext=15nXqSDXnNeaINep15DXnNeUPw__&teaserfont=Zm9udC1mYW1pbHk6QXJpYWw7Zm9udC1zaXplOjE2cHg7Zm9udC13ZWlnaHQ6Ym9sZDt0ZXh0LWRlY29yYXRpb246bm9uZTtmb250LXN0eWxlOm5vcm1hbA__&teasercolor=I0UyMDAxQQ__&teaserdir=rtl&teaserposition=15,14



GET //CDCFrame.html?subject=load&dockrtl=false&open=false&autominimize=0&teasertext=15nXqSDXnNeaINep15DXnNeUPw__&teaserfont=Zm9udC1mYW1pbHk6QXJpYWw7Zm9udC1zaXplOjE2cHg7Zm9udC13ZWlnaHQ6Ym9sZDt0ZXh0LWRlY29yYXRpb246bm9uZTtmb250LXN0eWxlOm5vcm1hbA__&teasercolor=I0UyMDAxQQ__&teaserdir=rtl&teaserposition=15,14 HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://my.nanorep.com/widget/widget.html?account=hot&cdcFrame=https://www.hot.net.il//CDCFrame.html&isFloat=true&referer=https%3A//www.hot.net.il//heb/SelfService/&notifyclick=true

Cookie: __utma=262333715.1658927532.1294051349.1314293567.1314338346.26; __utmz=262333715.1314338346.26.17.utmgclid=CJSY0fTsnaYCFQzxzAodswxLaw|utmccn=(not%20set)|utmcmd=(not%20set)|utmctr=hot%20israel; user_unique=1307611530435; __utmv=262333715.|1=unique_users=1307611530435=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; ASP.NET_SessionId=dya2hpru5b4vwko2c5eon3ll; __utmb=262333715.4.10.1314338346; __utmc=262333715

If-Modified-Since: Sun, 07 Aug 2011 08:47:23 GMT

If-None-Match: "e0b437a0de54cc1:0"



HTTP/1.1 304 Not Modified

Cache-Control: no-cache

Last-Modified: Sun, 07 Aug 2011 08:47:23 GMT

Accept-Ranges: bytes

Etag: "e0b437a0de54cc1:0"

Server: Microsoft-IIS/7.5

Date: Fri, 26 Aug 2011 06:09:09 GMT

----------------------------------------------------------

https://my.nanorep.com/widget/skins/bubble/images/textBox.gif



GET /widget/skins/bubble/images/textBox.gif HTTP/1.1

Host: my.nanorep.com

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: image/png,image/*;q=0.8,*/*;q=0.5

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://my.nanorep.com/widget/widget.html?account=hot&cdcFrame=https://www.hot.net.il//CDCFrame.html&isFloat=true&referer=https%3A//www.hot.net.il//heb/SelfService/&notifyclick=true

Cookie: 8CC87C3C87F0A5B=u_8CD91E0B00E45BD#t_EC5828907#alv_False#v_7#cv_2; 8CC87C3C830FFAF=u_8CDB9A571387089#t_EC598E7CF#alv_False#v_9#cv_2; 8CC6BDC89CDB247=u_8CDB9A57138708A#t_EC598E7CF#alv_False#v_9#cv_2; 8CC87C3C865F064=u_8CDB9A57138708B#t_EC598E7CF#alv_False#v_9#cv_2; 8CC2024CAA089A4=u_8CDCBE3ED28184C#t_EC573EE0C#alv_False#v_3#cv_2; 8CC6BDC89CA6B6D=u_8CDCBE3ED28184D#t_EC573EE0C#alv_False#v_3#cv_2; 8CC87C3C8324BF1=u_8CDCBE3ED295FD8#t_EC5741F19#alv_False#v_1#cv_2; 8CC6BDC89CDB453=u_8CDCBE3ED295FD9#t_EC5741F19#alv_False#v_1#cv_2; 8CC87C3C86B818D=u_8CDF16F93F2CB49#t_EC5E92D14#alv_False#v_10#cv_2; 8CC87C3C8888E78=u_8CDF16F93F2CB4A#t_EC5E92D14#alv_False#v_10#cv_2

If-None-Match: 8CE2003A91FC180



HTTP/1.1 304 Not Modified

Server: nanoRepServer

Date: Fri, 26 Aug 2011 06:06:59 GMT

Content-Length: 0

Etag: 8CE2003A91FC180

Pragma: no-cache

Expires: Sun, 03 Jul 2011 14:35:11 GMT

Connection: Keep-Alive

Keep-Alive: max=9999, timeout=60

----------------------------------------------------------
(Reporter)

Comment 7

7 years ago
Just now I finally saw how to attach things. Had I seen it earlier, I would have used it in place of the messy text.

Ilan

Comment 8

7 years ago
The server sends something that happens to be called "Invoice.pdf" as "Content-Type: application/octet-stream". That is a general content type which means it contains a bunch of ones and zeros. "Content-Type: application/octet-stream" can be used for sending almost anything, but Firefox doesn't know what to do with that in the general case.

If the server instead had sent the file as "Content-Type: application/pdf" Firefox would have known that this is a PDF file and could have started the program you have told it to use for that kind of contents.

So this looks like a server configuration problem.

By the way, Internet Explorer does some non-standard things with octet-streams, like looking at the extension and peeking into the file.
(Reporter)

Comment 9

7 years ago
First of all, I will pass on your statement to Hot so they fix their software.

What still fails to make sense is that I used Firefox in XP under VirtualBox. The "same" Firefox under XP knew how to handle the problem. How come Linux isn't as smart? (I wouldn't use Internet Explorer unless I had no other choice. I could try Google Chrome if that would add anything.)

Whatever happens I really do appreciate your looking into the problem. Now at least things start to make sense. Finding the guy at Hot who needs to fix the problem may be non trivial, but it is worth the effort.
Ilan
(Reporter)

Comment 10

7 years ago
This morning I looked at Firefox under XP, where it opens Adobe Reader. I can't figure out why Firefox under XP is smarter than Firefox under Ubuntu. The first part of the debug file is the same:

https://www.hot.net.il/Pages/SelfService/ShowPDF.aspx?id=93510202&s=3&p=08/16/2011



GET /Pages/SelfService/ShowPDF.aspx?id=93510202&s=3&p=08/16/2011 HTTP/1.1

Host: www.hot.net.il

User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Referer: https://www.hot.net.il//heb/SelfService/

Cookie: user_unique=1314337716459; __utma=262333715.1149592671.1314337721.1314337721.1314515260.2; __utmz=262333715.1314515260.2.2.utmcsr=google|utmccn=(organic)|utmcmd=organic|utmctr=hot%20israel; __utmv=262333715.|1=unique_users=1314337716459=1; loginhot=/L9BuwRA0wBx9A9qK/kiNw==; AlteonP=f621fb9af621fb9fbaeeba9f; __utmb=262333715.3.10.1314515260; __utmc=262333715; ASP.NET_SessionId=gciuuwjj2m2umj4npbnkanb4



HTTP/1.1 200 OK

Cache-Control: private

Content-Type: application/octet-stream

Server: Microsoft-IIS/7.5

Content-Disposition: attachment; filename=Invoice.pdf

X-AspNet-Version: 4.0.30319

Date: Sun, 28 Aug 2011 07:10:13 GMT

Content-Length: 203917

----------------------------------------------------------

http://safebrowsing.clients.google.com/safebrowsing/downloads?client=navclient-auto-ffox&appver=6.0&pver=2.2&wrkey=AKEgNisHnQBYCA1Ha9MFkRu0nPof0fdyO9UwPopphmwdl7qjJxDY70kk9JIhi5KLAE_gT-a0Uutb6ktE2sy-38WQE0CfQbg2kQ==



POST /safebrowsing/downloads?client=navclient-auto-ffox&appver=6.0&pver=2.2&wrkey=AKEgNisHnQBYCA1Ha9MFkRu0nPof0fdyO9UwPopphmwdl7qjJxDY70kk9JIhi5KLAE_gT-a0Uutb6ktE2sy-38WQE0CfQbg2kQ== HTTP/1.1

Host: safebrowsing.clients.google.com

User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Content-Length: 104

Content-Type: text/plain

Cookie: PREF=ID=f3f668c0c8f1b7fe:U=e11c9e9e83924608:FF=0:TM=1293548516:LM=1309272884:GM=1:S=wnZpMjXslKc20z88; rememberme=true; SID=DQAAALQAAABkMYthRrpRdqZtzdoSELNEhDWn8p0061GJfPjmQOOerXg9Vt5qJiXpwOfZoEG2cqjJiMdgU6IbJ004LZfJ6BL7b4MLxrXyWsET-r6HOvWBANwJk3cFZQZCT0fpUAc4JorsPvia1LrJUcxDbt3yl988LBK9-fqNBbTwWl9K_6_m3Dl0OX4tmdG0EhQX2RQE_PlkExguFFAUhjZzRAabcGKYoDxMhbhbvotIbqyhswjDntqMx5GRguDdec9cVuCOM4s; HSID=An8GgVD94-RmYf893

Pragma: no-cache

Cache-Control: no-cache

goog-malware-shavar;a:36889-47868:s:49404-59159:mac
goog-phish-shavar;a:146619-158078:s:74571-78289:mac


HTTP/1.1 200 OK

Content-Type: application/vnd.google.safebrowsing-update

X-Content-Type-Options: nosniff

Date: Sun, 28 Aug 2011 07:08:54 GMT

Server: Chunked Update Server

Content-Length: 80

X-XSS-Protection: 1; mode=block

X-Antivirus: avast! 4

X-Antivirus-Status: Clean

----------------------------------------------------------

https://versioncheck.addons.mozilla.org/update/VersionCheck.php?reqVersion=2&id={972ce4c6-7e08-4474-a285-3208198ce6fd}&version=6.0&maxAppVersion=6.0&status=userEnabled&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112



GET /update/VersionCheck.php?reqVersion=2&id={972ce4c6-7e08-4474-a285-3208198ce6fd}&version=6.0&maxAppVersion=6.0&status=userEnabled&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112 HTTP/1.1

Host: versioncheck.addons.mozilla.org

User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Cookie: WT_FPC=id=22972e970b4349b88691314475577272:lv=1314475622576:ss=1314475577272; wtspl=261434

Pragma: no-cache

Cache-Control: no-cache



HTTP/1.1 200 OK

Server: Apache

X-Backend-Server: web29

Cache-Control: public, max-age=3600

Content-Type: text/xml

Date: Sun, 28 Aug 2011 06:30:50 GMT

Keep-Alive: timeout=5, max=985

Expires: Sun, 28 Aug 2011 07:30:50 GMT

Via: Moz-Cache-pp-zlb01

Last-Modified: Sun, 28 Aug 2011 06:30:50 GMT

Content-Length: 154

Connection: Keep-Alive

X-Cache-Info: cached

----------------------------------------------------------

https://versioncheck.addons.mozilla.org/update/VersionCheck.php?reqVersion=2&id={CAFEEFAC-0016-0000-0020-ABCDEFFEDCBA}&version=6.0.20&maxAppVersion=5.0%2B&status=userEnabled,incompatible&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112



GET /update/VersionCheck.php?reqVersion=2&id={CAFEEFAC-0016-0000-0020-ABCDEFFEDCBA}&version=6.0.20&maxAppVersion=5.0%2B&status=userEnabled,incompatible&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112 HTTP/1.1

Host: versioncheck.addons.mozilla.org

User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Cookie: WT_FPC=id=22972e970b4349b88691314475577272:lv=1314475622576:ss=1314475577272; wtspl=261434

Pragma: no-cache

Cache-Control: no-cache



HTTP/1.1 200 OK

Server: Apache

X-Backend-Server: web3

Cache-Control: public, max-age=3600

Content-Type: text/xml

Date: Sun, 28 Aug 2011 06:30:50 GMT

Keep-Alive: timeout=5, max=934

Expires: Sun, 28 Aug 2011 07:30:50 GMT

Via: Moz-Cache-pp-zlb01

Last-Modified: Sun, 28 Aug 2011 06:30:50 GMT

Content-Length: 154

Connection: Keep-Alive

X-Cache-Info: cached

----------------------------------------------------------

https://versioncheck.addons.mozilla.org/update/VersionCheck.php?reqVersion=2&id={CAFEEFAC-0016-0000-0024-ABCDEFFEDCBA}&version=6.0.24&maxAppVersion=5.0%2B&status=userEnabled,incompatible&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112



GET /update/VersionCheck.php?reqVersion=2&id={CAFEEFAC-0016-0000-0024-ABCDEFFEDCBA}&version=6.0.24&maxAppVersion=5.0%2B&status=userEnabled,incompatible&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112 HTTP/1.1

Host: versioncheck.addons.mozilla.org

User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Cookie: WT_FPC=id=22972e970b4349b88691314475577272:lv=1314475622576:ss=1314475577272; wtspl=261434

Pragma: no-cache

Cache-Control: no-cache



HTTP/1.1 200 OK

Server: Apache

X-Backend-Server: web7

Cache-Control: public, max-age=3600

Content-Type: text/xml

Date: Sun, 28 Aug 2011 06:30:50 GMT

Keep-Alive: timeout=5, max=995

Expires: Sun, 28 Aug 2011 07:30:50 GMT

Via: Moz-Cache-pp-zlb01

Last-Modified: Sun, 28 Aug 2011 06:30:50 GMT

Content-Length: 154

Connection: Keep-Alive

X-Cache-Info: cached

----------------------------------------------------------

https://versioncheck.addons.mozilla.org/update/VersionCheck.php?reqVersion=2&id={CAFEEFAC-0016-0000-0023-ABCDEFFEDCBA}&version=6.0.23&maxAppVersion=5.0%2B&status=userEnabled,incompatible&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112



GET /update/VersionCheck.php?reqVersion=2&id={CAFEEFAC-0016-0000-0023-ABCDEFFEDCBA}&version=6.0.23&maxAppVersion=5.0%2B&status=userEnabled,incompatible&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112 HTTP/1.1

Host: versioncheck.addons.mozilla.org

User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Cookie: WT_FPC=id=22972e970b4349b88691314475577272:lv=1314475622576:ss=1314475577272; wtspl=261434

Pragma: no-cache

Cache-Control: no-cache



HTTP/1.1 200 OK

Server: Apache

X-Backend-Server: web3

Cache-Control: public, max-age=3600

Content-Type: text/xml

Date: Sun, 28 Aug 2011 06:30:53 GMT

Keep-Alive: timeout=5, max=1000

Expires: Sun, 28 Aug 2011 07:30:53 GMT

Via: Moz-Cache-pp-zlb01

Last-Modified: Sun, 28 Aug 2011 06:30:53 GMT

Content-Length: 154

Connection: Keep-Alive

X-Cache-Info: cached

----------------------------------------------------------

https://versioncheck.addons.mozilla.org/update/VersionCheck.php?reqVersion=2&id={CAFEEFAC-0016-0000-0022-ABCDEFFEDCBA}&version=6.0.22&maxAppVersion=5.0%2B&status=userEnabled,incompatible&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112



GET /update/VersionCheck.php?reqVersion=2&id={CAFEEFAC-0016-0000-0022-ABCDEFFEDCBA}&version=6.0.22&maxAppVersion=5.0%2B&status=userEnabled,incompatible&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112 HTTP/1.1

Host: versioncheck.addons.mozilla.org

User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Cookie: WT_FPC=id=22972e970b4349b88691314475577272:lv=1314475622576:ss=1314475577272; wtspl=261434

Pragma: no-cache

Cache-Control: no-cache



HTTP/1.1 200 OK

Server: Apache

X-Backend-Server: web22

Cache-Control: public, max-age=3600

Content-Type: text/xml

Date: Sun, 28 Aug 2011 06:30:52 GMT

Keep-Alive: timeout=5, max=996

Expires: Sun, 28 Aug 2011 07:30:52 GMT

Via: Moz-Cache-pp-zlb01

Last-Modified: Sun, 28 Aug 2011 06:30:52 GMT

Content-Length: 154

Connection: Keep-Alive

X-Cache-Info: cached

----------------------------------------------------------

https://versioncheck.addons.mozilla.org/update/VersionCheck.php?reqVersion=2&id={CAFEEFAC-0016-0000-0026-ABCDEFFEDCBA}&version=6.0.26&maxAppVersion=5.0%2B&status=userEnabled,incompatible&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112



GET /update/VersionCheck.php?reqVersion=2&id={CAFEEFAC-0016-0000-0026-ABCDEFFEDCBA}&version=6.0.26&maxAppVersion=5.0%2B&status=userEnabled,incompatible&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112 HTTP/1.1

Host: versioncheck.addons.mozilla.org

User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Cookie: WT_FPC=id=22972e970b4349b88691314475577272:lv=1314475622576:ss=1314475577272; wtspl=261434

Pragma: no-cache

Cache-Control: no-cache



HTTP/1.1 200 OK

Server: Apache

X-Backend-Server: web16

Cache-Control: public, max-age=3600

Content-Type: text/xml

Date: Sun, 28 Aug 2011 06:30:50 GMT

Keep-Alive: timeout=5, max=982

Expires: Sun, 28 Aug 2011 07:30:50 GMT

Via: Moz-Cache-pp-zlb01

Last-Modified: Sun, 28 Aug 2011 06:30:50 GMT

Content-Length: 154

Connection: Keep-Alive

X-Cache-Info: cached

----------------------------------------------------------

https://versioncheck.addons.mozilla.org/update/VersionCheck.php?reqVersion=2&id={20a82645-c095-46ed-80e3-08825760534b}&version=1.0&maxAppVersion=3.0.*&status=userEnabled,incompatible&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112



GET /update/VersionCheck.php?reqVersion=2&id={20a82645-c095-46ed-80e3-08825760534b}&version=1.0&maxAppVersion=3.0.*&status=userEnabled,incompatible&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112 HTTP/1.1

Host: versioncheck.addons.mozilla.org

User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Cookie: WT_FPC=id=22972e970b4349b88691314475577272:lv=1314475622576:ss=1314475577272; wtspl=261434

Pragma: no-cache

Cache-Control: no-cache



HTTP/1.1 200 OK

Server: Apache

X-Backend-Server: web3

Cache-Control: public, max-age=3600

Content-Type: text/xml

Date: Sun, 28 Aug 2011 06:31:22 GMT

Keep-Alive: timeout=5, max=990

Expires: Sun, 28 Aug 2011 07:31:22 GMT

Accept-Ranges: bytes

Via: Moz-Cache-pp-zlb01

Last-Modified: Sun, 28 Aug 2011 06:31:22 GMT

Content-Length: 1315

Connection: Keep-Alive

X-Cache-Info: cached

----------------------------------------------------------

https://versioncheck.addons.mozilla.org/update/VersionCheck.php?reqVersion=2&id=jqs@sun.com&version=1.0&maxAppVersion=*&status=userEnabled&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112



GET /update/VersionCheck.php?reqVersion=2&id=jqs@sun.com&version=1.0&maxAppVersion=*&status=userEnabled&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112 HTTP/1.1

Host: versioncheck.addons.mozilla.org

User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Cookie: WT_FPC=id=22972e970b4349b88691314475577272:lv=1314475622576:ss=1314475577272; wtspl=261434

Pragma: no-cache

Cache-Control: no-cache



HTTP/1.1 200 OK

Server: Apache

X-Backend-Server: web7

Cache-Control: public, max-age=3600

Content-Type: text/xml

Date: Sun, 28 Aug 2011 06:30:51 GMT

Keep-Alive: timeout=5, max=985

Expires: Sun, 28 Aug 2011 07:30:51 GMT

Via: Moz-Cache-pp-zlb01

Last-Modified: Sun, 28 Aug 2011 06:30:51 GMT

Content-Length: 154

Connection: Keep-Alive

X-Cache-Info: cached

----------------------------------------------------------

https://versioncheck.addons.mozilla.org/update/VersionCheck.php?reqVersion=2&id={8f8fe09b-0bd3-4470-bc1b-8cad42b8203a}&version=0.17&maxAppVersion=6.*&status=userEnabled&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112



GET /update/VersionCheck.php?reqVersion=2&id={8f8fe09b-0bd3-4470-bc1b-8cad42b8203a}&version=0.17&maxAppVersion=6.*&status=userEnabled&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=6.0&appOS=WINNT&appABI=x86-msvc&locale=en-US&currentAppVersion=6.0&updateType=112 HTTP/1.1

Host: versioncheck.addons.mozilla.org

User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Cookie: WT_FPC=id=22972e970b4349b88691314475577272:lv=1314475622576:ss=1314475577272; wtspl=261434

Pragma: no-cache

Cache-Control: no-cache



HTTP/1.1 200 OK

Server: Apache

X-Backend-Server: web25

Cache-Control: public, max-age=3600

Content-Type: text/xml

Date: Sun, 28 Aug 2011 06:41:49 GMT

Keep-Alive: timeout=5, max=964

Expires: Sun, 28 Aug 2011 07:41:49 GMT

Accept-Ranges: bytes

Via: Moz-Cache-pp-zlb01

Last-Modified: Sun, 28 Aug 2011 06:41:49 GMT

Content-Length: 1290

Connection: Keep-Alive

X-Cache-Info: cached

----------------------------------------------------------

https://services.addons.mozilla.org/en-US/firefox/api/1.5/search/guid:%7B972ce4c6-7e08-4474-a285-3208198ce6fd%7D,%7BCAFEEFAC-0016-0000-0020-ABCDEFFEDCBA%7D,%7BCAFEEFAC-0016-0000-0022-ABCDEFFEDCBA%7D,%7BCAFEEFAC-0016-0000-0023-ABCDEFFEDCBA%7D,%7BCAFEEFAC-0016-0000-0024-ABCDEFFEDCBA%7D,%7BCAFEEFAC-0016-0000-0026-ABCDEFFEDCBA%7D,%7B20a82645-c095-46ed-80e3-08825760534b%7D,jqs%40sun.com,%7B8f8fe09b-0bd3-4470-bc1b-8cad42b8203a%7D?src=firefox&appOS=WINNT&appVersion=6.0&tMain=5889&tFirstPaint=7872&tSessionRestored=8352



GET /en-US/firefox/api/1.5/search/guid:%7B972ce4c6-7e08-4474-a285-3208198ce6fd%7D,%7BCAFEEFAC-0016-0000-0020-ABCDEFFEDCBA%7D,%7BCAFEEFAC-0016-0000-0022-ABCDEFFEDCBA%7D,%7BCAFEEFAC-0016-0000-0023-ABCDEFFEDCBA%7D,%7BCAFEEFAC-0016-0000-0024-ABCDEFFEDCBA%7D,%7BCAFEEFAC-0016-0000-0026-ABCDEFFEDCBA%7D,%7B20a82645-c095-46ed-80e3-08825760534b%7D,jqs%40sun.com,%7B8f8fe09b-0bd3-4470-bc1b-8cad42b8203a%7D?src=firefox&appOS=WINNT&appVersion=6.0&tMain=5889&tFirstPaint=7872&tSessionRestored=8352 HTTP/1.1

Host: services.addons.mozilla.org

User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

Accept-Language: en-us,en;q=0.5

Accept-Encoding: gzip, deflate

Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7

Connection: keep-alive

Cookie: WT_FPC=id=22972e970b4349b88691314475577272:lv=1314475622576:ss=1314475577272; wtspl=261434



HTTP/1.1 200 OK

Server: Apache

Vary: X-Mobile

X-Backend-Server: web28

Content-Type: text/xml

Strict-Transport-Security: max-age=2592000

Date: Sun, 28 Aug 2011 07:08:57 GMT

Keep-Alive: timeout=5, max=1000

Transfer-Encoding: chunked

Via: Moz-Cache-pp-zlb03

Connection: Keep-Alive

X-Frame-Options: DENY

X-Cache-Info: caching

----------------------------------------------------------

Comment 11

7 years ago
This is a duplicate of bug 300169 and bug 491869.

Comment 12

6 years ago
I can confirm the bug.

User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:17.0) Gecko/20100101 Firefox/17.0
Running on: Ubuntu 12.04.1.
(However, this bug has been accompanying me at least for the last three versions of both Firefox and Ubuntu.)

Description:
In Firefox settings, for the file type "PDF document", the associated standard action is: open with document viewer (which is Evince in my installation).
(In the Linux file manager, the same file type is called "application/pdf".)
I click a pdf file on a website.
The general reaction of Firefox in such cases is to open the file with Evince.
Only for files from my bank's website, it does not do this. Instead:
- It opens the dialogue box to make me choose between 'open with some application' and 'save'.
- Meanwhile, the file type is correctly displayed as "PDF document".
- The "standard" [!] application offered is Bluefish editor. (Thus, Firefox does display the correct file type, but does not use it to find its application.)
- Still in the dialogue, I choose Evince as the application to be used; but Firefox does not let me check this as the standard application to be used for this file type.
- Once I saved the file, double-clicking it in the file manager opens Evince as usual.

My bank's website uses, of course, HTTPS. Thus, the problem may have to do with the protocol.
Hi Ilan! Are you still seeing this issue? If so, which Firefox version are you using?

This works for me with latest Aurora 28.0a2 (build ID: 20131223004002) on Ubuntu 13.10 32-bit: when opening http://www.bluej.org/tutorial/testing-tutorial.pdf, the file is opened with document viewer (Evince)
Flags: needinfo?(ilan.tal)
(Reporter)

Comment 14

5 years ago
Hi Manuela,
I'm using Firefox 26.0 and Ubuntu 13.10. When I click on your link Evince opens up nicely. Apparently the site which I read from doesn't have exactly the correct header so it doesn't pick up Evince. Now instead of picking up gedit it is picking up VLC player. Neither of them work, as would be expected.

Likewise the same site inside a Virtual box for Windows XP, correctly picks up Adobe. As was suggested maybe Windows looks at the content of the file, not just the header, and can figure out it is a pdf.

What I do to get around the problem is save the file to disk and then I'm not dependent upon the header. From disk Evince works nicely, and it comes up automatically. This is going to be a tough one to crack.
Ilan
Flags: needinfo?(ilan.tal)
WFM based on comment 13 and comment 14.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.